use std::collections::BTreeSet;

mod migration;

#[derive(Debug, PartialEq, Eq)]
pub struct Member {
    id: String,
    name: Name,
    hours: BTreeSet<String>,
    groups: BTreeSet<String>,
    diploma: Option<String>,
    registration_token: Option<String>,
}

#[derive(Debug, PartialEq, Eq)]
pub struct Name {
    first: String,
    full: String,
}
